<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for RCommonPhoneConfig StructType
 * @subpackage Structs
 */
class RCommonPhoneConfig extends AbstractStructBase
{
    /**
     * The name
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 50
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $name;
    /**
     * The description
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 128
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $description;
    /**
     * The unlockPwd
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 50
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $unlockPwd;
    /**
     * The dndOption
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $dndOption;
    /**
     * The dndAlertingType
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $dndAlertingType;
    /**
     * The backgroundImage
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxOccurs: 1
     * - minOccurs: 0
     * - pattern: (t)|(f)|(true)|(false)|(0)|(1)
     * @var string
     */
    public $backgroundImage;
    /**
     * The phonePersonalization
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $phonePersonalization;
    /**
     * The phoneServiceDisplay
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $phoneServiceDisplay;
    /**
     * The sshUserId
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 50
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $sshUserId;
    /**
     * The sshPwd
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 255
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $sshPwd;
    /**
     * The vendorConfig
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\XVendorConfig
     */
    public $vendorConfig;
    /**
     * The alwaysUsePrimeLine
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $alwaysUsePrimeLine;
    /**
     * The alwaysUsePrimeLineForVoiceMessage
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $alwaysUsePrimeLineForVoiceMessage;
    /**
     * The vpnGroupName
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\XFkType
     */
    public $vpnGroupName;
    /**
     * The vpnProfileName
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\XFkType
     */
    public $vpnProfileName;
    /**
     * The featureControlPolicy
     * Meta information extracted from the WSDL
     * - documentation: This tag is valid only for RT Phones.
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\XFkType
     */
    public $featureControlPolicy;
    /**
     * The wifiHotspotProfile
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\XFkType
     */
    public $wifiHotspotProfile;
    /**
     * The uuid
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - pattern: \{........-....-....-....-............\}
     * @var string
     */
    public $uuid;
    /**
     * Constructor method for RCommonPhoneConfig
     * @uses RCommonPhoneConfig::setName()
     * @uses RCommonPhoneConfig::setDescription()
     * @uses RCommonPhoneConfig::setUnlockPwd()
     * @uses RCommonPhoneConfig::setDndOption()
     * @uses RCommonPhoneConfig::setDndAlertingType()
     * @uses RCommonPhoneConfig::setBackgroundImage()
     * @uses RCommonPhoneConfig::setPhonePersonalization()
     * @uses RCommonPhoneConfig::setPhoneServiceDisplay()
     * @uses RCommonPhoneConfig::setSshUserId()
     * @uses RCommonPhoneConfig::setSshPwd()
     * @uses RCommonPhoneConfig::setVendorConfig()
     * @uses RCommonPhoneConfig::setAlwaysUsePrimeLine()
     * @uses RCommonPhoneConfig::setAlwaysUsePrimeLineForVoiceMessage()
     * @uses RCommonPhoneConfig::setVpnGroupName()
     * @uses RCommonPhoneConfig::setVpnProfileName()
     * @uses RCommonPhoneConfig::setFeatureControlPolicy()
     * @uses RCommonPhoneConfig::setWifiHotspotProfile()
     * @uses RCommonPhoneConfig::setUuid()
     * @param string $name
     * @param string $description
     * @param string $unlockPwd
     * @param string $dndOption
     * @param string $dndAlertingType
     * @param string $backgroundImage
     * @param string $phonePersonalization
     * @param string $phoneServiceDisplay
     * @param string $sshUserId
     * @param string $sshPwd
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XVendorConfig $vendorConfig
     * @param string $alwaysUsePrimeLine
     * @param string $alwaysUsePrimeLineForVoiceMessage
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $vpnGroupName
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $vpnProfileName
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $featureControlPolicy
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $wifiHotspotProfile
     * @param string $uuid
     */
    public function __construct($name = null, $description = null, $unlockPwd = null, $dndOption = null, $dndAlertingType = null, $backgroundImage = null, $phonePersonalization = null, $phoneServiceDisplay = null, $sshUserId = null, $sshPwd = null, \\Losc\CucmBundle\Model\Webservice\StructType\XVendorConfig $vendorConfig = null, $alwaysUsePrimeLine = null, $alwaysUsePrimeLineForVoiceMessage = null, \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $vpnGroupName = null, \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $vpnProfileName = null, \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $featureControlPolicy = null, \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $wifiHotspotProfile = null, $uuid = null)
    {
        $this
            ->setName($name)
            ->setDescription($description)
            ->setUnlockPwd($unlockPwd)
            ->setDndOption($dndOption)
            ->setDndAlertingType($dndAlertingType)
            ->setBackgroundImage($backgroundImage)
            ->setPhonePersonalization($phonePersonalization)
            ->setPhoneServiceDisplay($phoneServiceDisplay)
            ->setSshUserId($sshUserId)
            ->setSshPwd($sshPwd)
            ->setVendorConfig($vendorConfig)
            ->setAlwaysUsePrimeLine($alwaysUsePrimeLine)
            ->setAlwaysUsePrimeLineForVoiceMessage($alwaysUsePrimeLineForVoiceMessage)
            ->setVpnGroupName($vpnGroupName)
            ->setVpnProfileName($vpnProfileName)
            ->setFeatureControlPolicy($featureControlPolicy)
            ->setWifiHotspotProfile($wifiHotspotProfile)
            ->setUuid($uuid);
    }
    /**
     * Get name value
     * @return string|null
     */
    public function getName()
    {
        return $this->name;
    }
    /**
     * Set name value
     * @param string $name
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RCommonPhoneConfig
     */
    public function setName($name = null)
    {
        $this->name = $name;
        return $this;
    }
    /**
     * Get description value
     * @return string|null
     */
    public function getDescription()
    {
        return $this->description;
    }
    /**
     * Set description value
     * @param string $description
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RCommonPhoneConfig
     */
    public function setDescription($description = null)
    {
        $this->description = $description;
        return $this;
    }
    /**
     * Get unlockPwd value
     * @return string|null
     */
    public function getUnlockPwd()
    {
        return $this->unlockPwd;
    }
    /**
     * Set unlockPwd value
     * @param string $unlockPwd
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RCommonPhoneConfig
     */
    public function setUnlockPwd($unlockPwd = null)
    {
        $this->unlockPwd = $unlockPwd;
        return $this;
    }
    /**
     * Get dndOption value
     * @return string|null
     */
    public function getDndOption()
    {
        return $this->dndOption;
    }
    /**
     * Set dndOption value
     * @param string $dndOption
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RCommonPhoneConfig
     */
    public function setDndOption($dndOption = null)
    {
        $this->dndOption = $dndOption;
        return $this;
    }
    /**
     * Get dndAlertingType value
     * @return string|null
     */
    public function getDndAlertingType()
    {
        return $this->dndAlertingType;
    }
    /**
     * Set dndAlertingType value
     * @param string $dndAlertingType
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RCommonPhoneConfig
     */
    public function setDndAlertingType($dndAlertingType = null)
    {
        $this->dndAlertingType = $dndAlertingType;
        return $this;
    }
    /**
     * Get backgroundImage value
     * @return string|null
     */
    public function getBackgroundImage()
    {
        return $this->backgroundImage;
    }
    /**
     * Set backgroundImage value
     * @param string $backgroundImage
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RCommonPhoneConfig
     */
    public function setBackgroundImage($backgroundImage = null)
    {
        $this->backgroundImage = $backgroundImage;
        return $this;
    }
    /**
     * Get phonePersonalization value
     * @return string|null
     */
    public function getPhonePersonalization()
    {
        return $this->phonePersonalization;
    }
    /**
     * Set phonePersonalization value
     * @param string $phonePersonalization
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RCommonPhoneConfig
     */
    public function setPhonePersonalization($phonePersonalization = null)
    {
        $this->phonePersonalization = $phonePersonalization;
        return $this;
    }
    /**
     * Get phoneServiceDisplay value
     * @return string|null
     */
    public function getPhoneServiceDisplay()
    {
        return $this->phoneServiceDisplay;
    }
    /**
     * Set phoneServiceDisplay value
     * @param string $phoneServiceDisplay
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RCommonPhoneConfig
     */
    public function setPhoneServiceDisplay($phoneServiceDisplay = null)
    {
        $this->phoneServiceDisplay = $phoneServiceDisplay;
        return $this;
    }
    /**
     * Get sshUserId value
     * @return string|null
     */
    public function getSshUserId()
    {
        return $this->sshUserId;
    }
    /**
     * Set sshUserId value
     * @param string $sshUserId
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RCommonPhoneConfig
     */
    public function setSshUserId($sshUserId = null)
    {
        $this->sshUserId = $sshUserId;
        return $this;
    }
    /**
     * Get sshPwd value
     * @return string|null
     */
    public function getSshPwd()
    {
        return $this->sshPwd;
    }
    /**
     * Set sshPwd value
     * @param string $sshPwd
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RCommonPhoneConfig
     */
    public function setSshPwd($sshPwd = null)
    {
        $this->sshPwd = $sshPwd;
        return $this;
    }
    /**
     * Get vendorConfig value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XVendorConfig|null
     */
    public function getVendorConfig()
    {
        return $this->vendorConfig;
    }
    /**
     * Set vendorConfig value
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XVendorConfig $vendorConfig
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RCommonPhoneConfig
     */
    public function setVendorConfig(\\Losc\CucmBundle\Model\Webservice\StructType\XVendorConfig $vendorConfig = null)
    {
        $this->vendorConfig = $vendorConfig;
        return $this;
    }
    /**
     * Get alwaysUsePrimeLine value
     * @return string|null
     */
    public function getAlwaysUsePrimeLine()
    {
        return $this->alwaysUsePrimeLine;
    }
    /**
     * Set alwaysUsePrimeLine value
     * @param string $alwaysUsePrimeLine
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RCommonPhoneConfig
     */
    public function setAlwaysUsePrimeLine($alwaysUsePrimeLine = null)
    {
        $this->alwaysUsePrimeLine = $alwaysUsePrimeLine;
        return $this;
    }
    /**
     * Get alwaysUsePrimeLineForVoiceMessage value
     * @return string|null
     */
    public function getAlwaysUsePrimeLineForVoiceMessage()
    {
        return $this->alwaysUsePrimeLineForVoiceMessage;
    }
    /**
     * Set alwaysUsePrimeLineForVoiceMessage value
     * @param string $alwaysUsePrimeLineForVoiceMessage
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RCommonPhoneConfig
     */
    public function setAlwaysUsePrimeLineForVoiceMessage($alwaysUsePrimeLineForVoiceMessage = null)
    {
        $this->alwaysUsePrimeLineForVoiceMessage = $alwaysUsePrimeLineForVoiceMessage;
        return $this;
    }
    /**
     * Get vpnGroupName value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XFkType|null
     */
    public function getVpnGroupName()
    {
        return $this->vpnGroupName;
    }
    /**
     * Set vpnGroupName value
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $vpnGroupName
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RCommonPhoneConfig
     */
    public function setVpnGroupName(\\Losc\CucmBundle\Model\Webservice\StructType\XFkType $vpnGroupName = null)
    {
        $this->vpnGroupName = $vpnGroupName;
        return $this;
    }
    /**
     * Get vpnProfileName value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XFkType|null
     */
    public function getVpnProfileName()
    {
        return $this->vpnProfileName;
    }
    /**
     * Set vpnProfileName value
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $vpnProfileName
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RCommonPhoneConfig
     */
    public function setVpnProfileName(\\Losc\CucmBundle\Model\Webservice\StructType\XFkType $vpnProfileName = null)
    {
        $this->vpnProfileName = $vpnProfileName;
        return $this;
    }
    /**
     * Get featureControlPolicy value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XFkType|null
     */
    public function getFeatureControlPolicy()
    {
        return $this->featureControlPolicy;
    }
    /**
     * Set featureControlPolicy value
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $featureControlPolicy
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RCommonPhoneConfig
     */
    public function setFeatureControlPolicy(\\Losc\CucmBundle\Model\Webservice\StructType\XFkType $featureControlPolicy = null)
    {
        $this->featureControlPolicy = $featureControlPolicy;
        return $this;
    }
    /**
     * Get wifiHotspotProfile value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XFkType|null
     */
    public function getWifiHotspotProfile()
    {
        return $this->wifiHotspotProfile;
    }
    /**
     * Set wifiHotspotProfile value
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $wifiHotspotProfile
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RCommonPhoneConfig
     */
    public function setWifiHotspotProfile(\\Losc\CucmBundle\Model\Webservice\StructType\XFkType $wifiHotspotProfile = null)
    {
        $this->wifiHotspotProfile = $wifiHotspotProfile;
        return $this;
    }
    /**
     * Get uuid value
     * @return string|null
     */
    public function getUuid()
    {
        return $this->uuid;
    }
    /**
     * Set uuid value
     * @param string $uuid
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RCommonPhoneConfig
     */
    public function setUuid($uuid = null)
    {
        $this->uuid = $uuid;
        return $this;
    }
}
